| Haskell Hierarchical Libraries (base package) | Contents | Index

Text.Html

Portability | portable
Stability | experimental
Maintainer | Andy Gill <andy@galconn.com>

Description
An Html combinator library
Documentation
data HtmlElement

Constructors

HtmlString String |
HtmlTag |

markupTag :: String |
markupAttrs :: [HtmlAttr] |
markupContent :: Html |

data HtmlAttr

Constructors

HtmlAttr String String |

Instances

Show HtmlAttr

newtype Html

Constructors

Html |

getHtmlElements :: [HtmlElement] |

Instances

HTML Html
ADDATTRS Html
Show Html
HTMLTABLE Html

class HTML a where

Methods

toHtml :: a -> Html
toHtmlFromList :: [a] -> Html

Instances

HTML Html
HTML Char
HTML a => HTML [a]
HTML HtmlTable
HTML HtmlTree
HTML HotLink

class ADDATTRS a where

Methods

(!) :: a -> [HtmlAttr] -> a

Instances

ADDATTRS b => ADDATTRS (a -> b)
ADDATTRS Html

(<<) :: HTML a => (Html -> b) -> a -> b
concatHtml :: HTML a => [a] -> Html
(+++) :: (HTML a, HTML b) => a -> b -> Html
noHtml :: Html
tag :: String -> Html -> Html
itag :: String -> Html
emptyAttr :: String -> HtmlAttr
intAttr :: String -> Int -> HtmlAttr
strAttr :: String -> String -> HtmlAttr
stringToHtmlString :: String -> String
type URL = String
primHtml :: String -> Html
stringToHtml :: String -> Html
lineToHtml :: String -> Html
address :: Html -> Html
anchor :: Html -> Html
applet :: Html -> Html
area :: Html
basefont :: Html
big :: Html -> Html
blockquote :: Html -> Html
body :: Html -> Html
bold :: Html -> Html
br :: Html
caption :: Html -> Html
center :: Html -> Html
cite :: Html -> Html
ddef :: Html -> Html
define :: Html -> Html
dlist :: Html -> Html
dterm :: Html -> Html
emphasize :: Html -> Html
fieldset :: Html -> Html
font :: Html -> Html
form :: Html -> Html
frame :: Html -> Html
frameset :: Html -> Html
h1 :: Html -> Html
h2 :: Html -> Html
h3 :: Html -> Html
h4 :: Html -> Html
h5 :: Html -> Html
h6 :: Html -> Html
header :: Html -> Html
hr :: Html
image :: Html
input :: Html
italics :: Html -> Html
keyboard :: Html -> Html
legend :: Html -> Html
li :: Html -> Html
meta :: Html
noframes :: Html -> Html
olist :: Html -> Html
option :: Html -> Html
paragraph :: Html -> Html
param :: Html
pre :: Html -> Html
sample :: Html -> Html
select :: Html -> Html
small :: Html -> Html
strong :: Html -> Html
style :: Html -> Html
sub :: Html -> Html
sup :: Html -> Html
table :: Html -> Html
td :: Html -> Html
textarea :: Html -> Html
th :: Html -> Html
thebase :: Html
thecode :: Html -> Html
thediv :: Html -> Html
thehtml :: Html -> Html
thelink :: Html -> Html
themap :: Html -> Html
thespan :: Html -> Html
thetitle :: Html -> Html
tr :: Html -> Html
tt :: Html -> Html
ulist :: Html -> Html
underline :: Html -> Html
variable :: Html -> Html
action :: String -> HtmlAttr
align :: String -> HtmlAttr
alink :: String -> HtmlAttr
alt :: String -> HtmlAttr
altcode :: String -> HtmlAttr
archive :: String -> HtmlAttr
background :: String -> HtmlAttr
base :: String -> HtmlAttr
bgcolor :: String -> HtmlAttr
border :: Int -> HtmlAttr
bordercolor :: String -> HtmlAttr
cellpadding :: Int -> HtmlAttr
cellspacing :: Int -> HtmlAttr
checked :: HtmlAttr
clear :: String -> HtmlAttr
code :: String -> HtmlAttr
codebase :: String -> HtmlAttr
color :: String -> HtmlAttr
cols :: String -> HtmlAttr
colspan :: Int -> HtmlAttr
compact :: HtmlAttr
content :: String -> HtmlAttr
coords :: String -> HtmlAttr
enctype :: String -> HtmlAttr
face :: String -> HtmlAttr
frameborder :: Int -> HtmlAttr
height :: Int -> HtmlAttr
href :: String -> HtmlAttr
hspace :: Int -> HtmlAttr
httpequiv :: String -> HtmlAttr
identifier :: String -> HtmlAttr
ismap :: HtmlAttr
lang :: String -> HtmlAttr
link :: String -> HtmlAttr
marginheight :: Int -> HtmlAttr
marginwidth :: Int -> HtmlAttr
maxlength :: Int -> HtmlAttr
method :: String -> HtmlAttr
multiple :: HtmlAttr
name :: String -> HtmlAttr
nohref :: HtmlAttr
noresize :: HtmlAttr
noshade :: HtmlAttr
nowrap :: HtmlAttr
rel :: String -> HtmlAttr
rev :: String -> HtmlAttr
rows :: String -> HtmlAttr
rowspan :: Int -> HtmlAttr
rules :: String -> HtmlAttr
scrolling :: String -> HtmlAttr
selected :: HtmlAttr
shape :: String -> HtmlAttr
size :: String -> HtmlAttr
src :: String -> HtmlAttr
start :: Int -> HtmlAttr
target :: String -> HtmlAttr
text :: String -> HtmlAttr
theclass :: String -> HtmlAttr
thestyle :: String -> HtmlAttr
thetype :: String -> HtmlAttr
title :: String -> HtmlAttr
usemap :: String -> HtmlAttr
valign :: String -> HtmlAttr
value :: String -> HtmlAttr
version :: String -> HtmlAttr
vlink :: String -> HtmlAttr
vspace :: Int -> HtmlAttr
width :: String -> HtmlAttr
validHtmlTags :: [String]
validHtmlITags :: [String]
validHtmlAttrs :: [String]
aqua :: String
black :: String
blue :: String
fuchsia :: String
gray :: String
green :: String
lime :: String
maroon :: String
navy :: String
olive :: String
purple :: String
red :: String
silver :: String
teal :: String
yellow :: String
white :: String
linesToHtml :: [String] -> Html
primHtmlChar :: String -> Html
copyright :: Html
spaceHtml :: Html
bullet :: Html
p :: Html -> Html
class HTMLTABLE ht where

Methods

cell :: ht -> HtmlTable

Instances

HTMLTABLE HtmlTable
HTMLTABLE Html

newtype HtmlTable

Constructors

HtmlTable (BlockTable (Int -> Int -> Html)) |

Instances

HTMLTABLE HtmlTable
HTML HtmlTable
Show HtmlTable

(</>) :: (HTMLTABLE ht1, HTMLTABLE ht2) => ht1 -> ht2 -> HtmlTable
above :: (HTMLTABLE ht1, HTMLTABLE ht2) => ht1 -> ht2 -> HtmlTable
(<->) :: (HTMLTABLE ht1, HTMLTABLE ht2) => ht1 -> ht2 -> HtmlTable
beside :: (HTMLTABLE ht1, HTMLTABLE ht2) => ht1 -> ht2 -> HtmlTable
aboves :: HTMLTABLE ht => [ht] -> HtmlTable
besides :: HTMLTABLE ht => [ht] -> HtmlTable
simpleTable :: [HtmlAttr] -> [HtmlAttr] -> [[Html]] -> Html
mkHtmlTable :: BlockTable (Int -> Int -> Html) -> HtmlTable
renderTable :: BlockTable (Int -> Int -> Html) -> Html
data HtmlTree

Constructors

HtmlLeaf Html |
HtmlNode Html [HtmlTree] Html |

Instances

HTML HtmlTree

treeHtml :: [String] -> HtmlTree -> Html
debugHtml :: HTML a => a -> Html
data HotLink

Constructors

HotLink |

hotLinkURL :: URL |
hotLinkContents :: [Html] |
hotLinkAttributes :: [HtmlAttr] |

Instances

HTML HotLink
Show HotLink

hotlink :: URL -> [Html] -> HotLink
ordList :: HTML a => [a] -> Html
unordList :: HTML a => [a] -> Html
defList :: (HTML a, HTML b) => [(a, b)] -> Html
widget :: String -> String -> [HtmlAttr] -> Html
checkbox :: String -> String -> Html
hidden :: String -> String -> Html
radio :: String -> String -> Html
reset :: String -> String -> Html
submit :: String -> String -> Html
password :: String -> Html
textfield :: String -> Html
afile :: String -> Html
clickmap :: String -> Html
menu :: String -> [Html] -> Html
gui :: String -> Html -> Html
renderHtml :: HTML html => html -> String
prettyHtml :: HTML html => html -> String
renderHtml' :: Int -> HtmlElement -> ShowS
prettyHtml' :: HtmlElement -> [String]
renderTag :: Bool -> String -> [HtmlAttr] -> Int -> ShowS
Produced by Haddock version 0.6